Package org.apache.jmeter.exceptions

# Class IllegalUserActionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.exceptions.IllegalUserActionException

All Implemented Interfaces:
  `Serializable`

public class IllegalUserActionException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalUserActionException()`
  Deprecated.
  - use IllegalUserActionException(String)
  `IllegalUserActionException(String name)`
  `IllegalUserActionException(String name, Throwable t)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalUserActionException

    @Deprecated public IllegalUserActionException()
    Deprecated.
    - use IllegalUserActionException(String)

  - ### IllegalUserActionException

    public IllegalUserActionException(String name)

  - ### IllegalUserActionException

    public IllegalUserActionException(String name, Throwable t)